%bcond_with bootstrap

Name:           apache-parent
Version:        27
Release:        %mkrel 1
Group:          Development/Java
Summary:        Parent POM file for Apache projects
License:        ASL 2.0
URL:            http://apache.org/
Source0:        https://repo1.maven.org/maven2/org/apache/apache/%{version}/apache-%{version}-source-release.zip
BuildArch:      noarch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
%endif

# Not generated automatically
%if %{without bootstrap}
BuildRequires:  mvn(org.apache:apache-jar-resource-bundle)
%endif
Requires:       mvn(org.apache:apache-jar-resource-bundle)

%description
This package contains the parent pom file for apache projects.

%prep
%setup -q -n apache-%{version}

%pom_remove_plugin :maven-site-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE



%changelog
* Thu Sep 08 2022 neoclust <neoclust> 27-1.mga9
+ Revision: 1886046
- New version 27

* Mon Jul 25 2022 neoclust <neoclust> 26-3.mga9
+ Revision: 1871007
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 26-2.mga9
+ Revision: 1870199
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 26-1.mga9
+ Revision: 1863316
- New version 26
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 23-1.mga8
+ Revision: 1621507
- Update to version 23
- Rebuilt for JDK-11

* Sat Feb 15 2020 umeabot <umeabot> 21-2.mga8
+ Revision: 1528619
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 21-1.mga8
+ Revision: 1431568
- Update to upstream version 21

* Mon Dec 03 2018 daviddavid <daviddavid> 19-1.mga7
+ Revision: 1337991
- new version: 19 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 18-5.mga7
+ Revision: 1261867
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 18-4.mga7
+ Revision: 1260210
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 18-3.mga7
+ Revision: 1259763
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 18-2.mga6
+ Revision: 1102459
- Add maven-plugin-build-helper as require

* Sun May 14 2017 neoclust <neoclust> 18-1.mga6
+ Revision: 1101236
- Update to upstream version 18

* Wed Mar 02 2016 neoclust <neoclust> 17-4.mga6
+ Revision: 981823
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 17-3.mga6
+ Revision: 975448
- First rebuild of the java stack
- sync package apache-parent with fedora

* Sun Dec 20 2015 zezinho <zezinho> 17-1.mga6
+ Revision: 912487
- new version

* Thu Dec 25 2014 pterjan <pterjan> 14-2.mga5
+ Revision: 805536
- Clean rebuild
- Sync with Fedora 21
- Restore
+ sander85 <sander85>
- Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 10-18.mga5
+ Revision: 750531
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 10-17.mga5
+ Revision: 677849
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 10-16.mga4
+ Revision: 535770
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dmorgan <dmorgan> 10-15.mga4
+ Revision: 482542
- Rebuild against new javapackages
- Build with xmvn
- Rebuild to regenerate Maven provides

* Fri Jan 11 2013 umeabot <umeabot> 10-8.mga3
+ Revision: 345879
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 10-7.mga3
+ Revision: 324028
- imported package apache-parent


* Wed Nov 21 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 10-7
- Install patched pom not the original

* Fri Nov  2 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 10-6
- Add missing R: maven-remote-resources-plugin, apache-resource-bundles
- Add %%check to verify dependencies during build

* Thu Jul 26 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 10-5
- Make sure we generate 1.5 version bytecode

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 13 2011 Andy Grimm <agrimm@gmail.com> 10-2
- Follow suggestions in BZ #736069

* Mon Aug 29 2011 Andy Grimm <agrimm@gmail.com> 10-1
- Initial Build
